﻿/*=============== GOOGLE FONTS ===============*/
@import url("https://fonts.googleapis.com/css2?family=Bai+Jamjuree:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;1,200;1,300;1,400;1,500;1,600;1,700&display=swap");

/*=============== VARIABLES CSS ===============*/
.nav-link:focus {
    color: #2f3030;
}
.cep-tabs .head {
    font-size: 1.6rem;
    font-weight: bold;
    /*margin-top: 30px;*/
    /*margin-bottom: 10px;*/
}
.main-container {
    width: 100%;
    padding: 20px;
    display: flex;
    justify-content: center;
}

.conferences {
    width: 100%;
    max-width: 1200px; /* Maximum width for content */
    padding: 20px;
    margin: 0 auto;
}

.conferences-tab {
    display: flex;
    justify-content: space-between;
    margin-bottom: 10px;
    position: relative;
}

    .conferences-tab p {
        cursor: pointer;
        padding: 10px 20px;
        margin: 0;
    }

.news1Selected {
    font-weight: bold;
}

.underline {
    height: 2px;
    background-color: #007BFF;
    position: absolute;
    bottom: 0;
    transition: transform 0.3s ease, width 0.4s ease;
    width: 50%; /* Ensures the underline takes the full width of the tab */
}

.conferences-container {
    display: flex;
    flex-wrap: wrap;
    gap: 20px; /* Equal gap between all boxes */
    margin-top: 50px;
}

.conferences-box {
    border: 1px solid #ddd;
    border-radius: 5px;
    border-bottom: 5px solid maroon;
    padding: 10px;
    /*height: 210px;*/
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: transform 0.2s, box-shadow 0.2s;
    display: flex;
    flex-direction: column;
    background-color: #eee;
    flex-basis: calc(33.333% - 20px); /* Ensures 3 boxes per row, minus gap */
    box-sizing: border-box; /* Prevents box overflow */
}

    .conferences-box:hover {
        transform: translateY(-5px);
        box-shadow: 0 6px 10px rgba(0, 0, 0, 0.15);
    }

.flex-container {
    display: flex;
    align-items: center;
}

.date {
    font-size: 1.6rem; /* Adjusted to fit smaller box */
    font-weight: bold;
    margin-right: 10px;
    text-align: center;
    color: red; /* Set the color of the date to red */
}

.content {
    font-size: 1.1rem; /* Adjusted for a smaller box */
    font-weight: 700;
}

.startdate, .profname, .dept {
    margin: 25px 0;
}

.startdate {
    font-size: 0.85rem; /* Reduced font size to fit better */
    color: #555;
}

.table-container-wrapper {
    display: flex;
    justify-content: center;
    margin-top: 30px;
}


.table-container {
    width: 100%;
    overflow-x: auto;
}

.profname {
    font-size: 0.95rem; /* Slightly smaller font */
    font-weight: bold;
}

.dept {
    font-size: 0.95rem;
    font-weight: 700; /* Reduced font size */
    color: #777;
    color: red;
}
#navbar {
    transition: background-color 0.3s ease, box-shadow 0.3s ease;
}
/* Additional styling to push content down so we can see scrolling effect */
/*.content {
    height: 1500px;
    background-color: #f4f4f4;
    padding-top: 60px;
}*/

.nav-link:focus, .nav-link:hover {
    color: #2f3030;
}

:root {
    --header-height: 3.5rem;
    /*========== Colors ==========*/
    /*Color mode HSL(hue, saturation, lightness)*/
    --first-color: hsl(14, 98%, 50%);
    --black-color: #0072c6;
    --black-color-light: hsl(0, 0%, 40%);
    --white-color: hsl(0, 0%, 95%);
    --title-color: hsl(0, 0%, 0%);
    --text-color: hsl(0, 0%, 35%);
    --text-color-light: hsl(0, 0%, 64%);
    --body-color: hsl(0, 0%, 87%);
    --container-color: hsl(0, 0%, 83%);
    /*========== Font and typography ==========*/
    /*.5rem = 8px | 1rem = 16px ...*/
    --body-font: Arial, sans-serif;
    --biggest-font-size: 2.5rem;
    --h1-font-size: 1.75rem;
    --h2-font-size: 1.25rem;
    --h3-font-size: 1.125rem;
    --normal-font-size: 0.938rem;
    --small-font-size: 0.813rem;
    --smaller-font-size: 0.75rem;
    /*========== Font weight ==========*/
    --font-regular: 400;
    --font-medium: 500;
    --font-semi-bold: 600;
    --font-bold: 700;
    /*========== z index ==========*/
    --z-tooltip: 10;
    --z-fixed: 100;
}

/*========== Responsive typography ==========*/
@media screen and (min-width: 1150px) {
    :root {
        --biggest-font-size: 4.5rem;
        --h1-font-size: 3rem;
        --h2-font-size: 1.5rem;
        --h3-font-size: 1.25rem;
        --normal-font-size: 1rem;
        --small-font-size: 0.875rem;
        --smaller-font-size: 0.813rem;
    }
}

/*=============== BASE ===============*/
* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: var(--body-font);
    font-size: var(--normal-font-size);
    color: var(--text-color);
    transition: background-color 0.4s; /* Pour le Dark theme */
}

h1,
h2,
h3,
h4 {
    color: var(--title-color);
    font-weight: var(--font-bold);
}

ul {
    list-style: none;
}

a {
    text-decoration: none;
}

/*=============== REUSABLE CSS CLASSES ===============*/
.container {
    max-width: 1120px;
    margin-inline: 1.5rem;
}

.grid {
    display: grid;
    gap: 1.5rem;
}

.section {
    padding-block: 4rem 2rem;
}

.section__title-1,
.section__title-2 {
    position: relative;
    font-size: var(--h1-font-size);
    width: max-content;
    margin: 0.75rem auto 2rem;
}

    .section__title-1 span,
    .section__title-2 span {
        z-index: 5;
        position: relative;
    }

    .section__title-1::after,
    .section__title-2::after {
        content: "";
        width: 40px;
        height: 28px;
        background-color: rgb(238,238,238,0.4);
        position: absolute;
        top: -4px;
        right: -8px;
    }

    .section__title-2::after {
        top: initial;
        bottom: -4px;
    }

.geometric-box {
    position: absolute;
    width: 20px;
    height: 20px;
    background-color: #fff;
    rotate: -30deg;
}

    .geometric-box::after {
        content: "";
        position: absolute;
        width: 16px;
        height: 16px;
        border: 3px solid #fff;
        left: -5px;
        top: -5px;
    }

.main {
    overflow: hidden; /* For animation ScrollReveal */
}

/*=============== BUTTON ===============*/
.button {
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: 0.5rem;
    background-color: var(--black-color);
    padding: 1.1rem 1.5rem;
    color: #2f3030;
    font-weight: var(--font-medium);
    border-radius: 0.75rem;
    transition: background-color 0.4s;
}

    .button i {
        font-size: 1.25rem;
    }

/*=============== CONTACT ===============*/
.contact {
    padding-bottom: 0;
}

.contact__container {
    position: relative;
    grid-template-rows: 300px max-content max-content;
    row-gap: 0;
}

.contact__data {
    position: relative;
    width: 300px;
    height: 300px;
    background-color: #0072c6;
    border-radius: 0.75rem;
    padding: 3rem 1.5rem 3.5rem;
    margin-left: auto;
    border-bottom: 4px solid #fff;
    z-index: 5;
    transition: background-color 0.4s;
    box-shadow: 10px 10px 10px rgba(0, 0, 0, 0.5);
}

    .contact__data .section__title-2 {
        margin: 0 0 1.5rem;
        transform: translateX(-3rem);
    }

.contact__description-1 {
    color: #555;
    /* font-weight: var(--font-medium); */
    margin-bottom: 2rem;
    letter-spacing: 1px;
    text-align: justify;
}

.contact__description-2 {
    color: var(--title-color);
    font-size: var(--small-font-size);
}

.contact__data .geometric-box {
    top: 2rem;
    left: 2.5rem;
}

.contact__mail {
    position: relative;
    background-color: var(--black-color);
    border-radius: 0.75rem;
    padding: 5rem 1.5rem 2.5rem;
    margin-top: -2.5rem;
    transition: background-color 0.4s;
}

.contact__title {
    color: var(--white-color);
    font-size: var(--h2-font-size);
    margin-bottom: 2rem;
    text-align: center;
}

.contact__form,
.contact__group {
    display: grid;
    row-gap: 1.25rem;
}

.contact__form {
    position: relative;
}

.contact__box {
    position: relative;
    width: 100%;
    height: 58px;
}

.contact__input,
.contact__button {
    font-family: var(--body-font);
    font-size: var(--normal-font-size);
    outline: none;
    border: none;
}

.contact__input {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: #fff;
    border: 2.2px solid #fff;
    border-radius: 0.75rem;
    color: var(--white-color);
    padding: 0.5rem 1rem;
    font-weight: var(--font-medium);
    transition: border 0.4s background-color 0.4s;
}

    .contact__input::placeholder {
        color: var(--text-color-light);
        transition: opacity 0.4s;
    }

    .contact__input:focus {
        border: 2.2px solid var(--white-color);
    }

    .contact__input:-webkit-autofill {
        transition: background-color 6000s, color 6000s;
    }

.contact__label {
    position: absolute;
    top: 8px;
    left: 10px;
    color: var(--text-color-light);
    font-size: var(--small-font-size);
    font-weight: var(--font-medium);
    background-color: var(--black-color);
    padding: 8px;
    pointer-events: none;
    transition: top 0.4s, opacity 0.4s, background-color 0.4s;
    opacity: 0;
}

.contact__form .contact__area {
    height: 10rem;
}

.contact__area textarea {
    resize: none;
    padding-top: 1rem;
}

.contact__button {
    background-color: #fff;
    cursor: pointer;
}

/* Opaque placeholder */
.contact__input:focus::placeholder {
    opacity: 0;
}

/* Move label up & sticky label */
.contact__input:focus + .contact__label,
.contact__input:not(:placeholder-shown)
.contact__input:not(:focus) + .contact__label {
    opacity: 1;
    top: -16px;
}

.contact__social {
    display: grid;
    row-gap: 1rem;
    background-color: hsl(0, 0%, 10%);
    padding-block: 1rem 2rem;
    text-align: center;
}

.contact__social-arrow {
    width: 32px;
    margin: 0 auto;
}

.contact__social-data {
    display: flex;
    flex-direction: column;
    row-gap: 1.5rem;
}

.contact__social-description-1 {
    color: var(--text-color-light);
    font-size: var(--small-font-size);
    margin-bottom: 0.5rem;
}

.contact__social-description-2 {
    color: var(--white-color);
    font-size: var(--small-font-size);
    font-weight: var(--font-semi-bold);
}

.contact__social-links {
    display: flex;
    justify-content: center;
    column-gap: 0.75rem;
}

.contact__social-link {
    background-color: var(--black-color-light);
    padding: 6px;
    color: var(--white-color);
    font-size: 1.25rem;
    display: grid;
    place-items: center;
    border-radius: 50%;
    transition: background-color 0.3s;
}

    .contact__social-link:hover {
        background-color: #0072c6;
    }

.contact__message {
    color: var(--white-color);
    font-size: var(--small-font-size);
    position: absolute;
    bottom: -1.6rem;
    left: 0;
}

/*=============== MEDIA QUERIES ===============*/
/* For small devices */
@media screen and (max-width: 340px) {
    .container {
        margin-inline: 1rem;
    }

    .contact__data {
        width: 100%;
    }

        .contact__data .section__title-2 {
            transform: translateX(0);
        }
}

/* For medium devices */
@media screen and (min-width: 576px) {
    .contact__data {
        width: 350px;
        padding: 4rem 1.5rem;
        margin-inline: auto;
    }

    .contact__container {
        grid-template-columns: 500px;
        justify-content: center;
    }

    .contact__group {
        grid-template-columns: repeat(2, 1fr);
        column-gap: 1rem;
    }

    .contact__social {
        background-color: transparent;
    }

    .contact__social-arrow {
        filter: invert(1);
    }

    .contact__social-description-1 {
        color: var(--text-color);
    }

    .contact__social-description-2 {
        color: var(--title-color);
    }
}

/* For large devices */
@media screen and (min-width: 1150px) {
    .container {
        margin-inline: auto;
    }

    .section {
        padding-block: 2rem 2rem;
    }

    .section__title-1::after,
    .section__title-2::after {
        width: 70px;
        height: 48px;
    }

    .contact__container {
        grid-template-columns: 440px 800px;
        grid-template-rows: initial;
        padding-bottom: 2rem;
    }

    .contact__mail {
        grid-column: 2 / 3;
        grid-row: 1 / 3;
        padding: 4rem 6rem 4rem;
        margin-top: 0;
    }

    .contact__title {
        font-size: var(--h3-font-size);
        text-align: initial;
    }

    .section__title-1,
    .section__title-2 {
        position: relative;
        font-size: 40px;
        width: max-content;
        margin: 0.75rem auto 2rem;
    }

    .contact__box {
        height: 60px;
    }

    .contact__form .contact__area {
        height: 11rem;
    }

    .contact__button {
        margin-top: 1.25rem;
        width: max-content;
    }

    .contact__data {
        width: 520px;
        height: 420px;
        padding: 4.5rem 3.5rem 3.5rem;
        margin: 5rem 0 0 4rem;
        border-bottom: 6px solid #fff;
    }

        .contact__data .section__title-2 {
            margin: 0 0 2rem;
            transform: translateX(5rem);
        }

    .contact__social {
        margin-left: 8rem;
        text-align: initial;
    }

    .contact__social-data {
        flex-direction: row;
        align-items: center;
        column-gap: 1.25rem;
    }

    .contact__social-arrow {
        width: 40px;
    }

    .contact__social-links {
        font-size: 1.5rem;
        padding: 0.5rem;
    }

    .contact__message {
        bottom: -2.5rem;
    }
}

.table {
    width: 100%;
    border-collapse: collapse;
    margin: 20px 0;
    font-size: 1rem;
    text-align: left;
    border: 1px solid #ddd;
    background: #fff;
}

    .table th,
    .table td {
        border: 1px solid #ddd;
        padding: 12px 15px;
    }

    .table th {
        background: rgb(0, 114, 198);
        color: #fff;
        font-weight: bold;
        text-align: center;
    }

    /* .table tr:nth-child(even) {
  background: #f2f2f2;
} */

    .table a {
        color: rgb(0, 114, 198);
        text-decoration: none;
    }

        .table a:hover {
            text-decoration: none;
        }

.apply-button {
    background-color: rgb(0, 114, 198);
    color: #fff;
    border: none;
    padding: 8px 12px;
    border-radius: 4px;
    cursor: pointer;
    font-size: 0.9rem;
}

    .apply-button:hover {
        background-color: rgb(0, 90, 160);
    }

.subrow {
    margin: 5px 0;
}
